# norootforbuild

%define		realname	libguess
%define		soname		1

Name:		%{realname}%{soname}
Version:	1.1
Release:	1.1

Summary:	A high-speed character set detection library
License:	Other
Group:		System/Libraries
URL:		http://www.atheme.org/project/libguess

Source0:	%{realname}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{realname}-%{version}-build

BuildRequires:	libmowgli-devel pkg-config


%description
A high-speed character set detection library

libguess has two functions:

libguess_determine_encoding(const char *inbuf, int length, const char *region);
This detects a character set. Returns an appropriate charset name that can be
passed to iconv_open(). Region is the name of the language or region that the
data is related to, e.g. 'Baltic' for the Baltic states, or 'Japanese' for
Japan.

libguess_validate_utf8(const char *inbuf, int length);
This employs libguess's DFA-based character set validation rules to ensure that
a string is pure UTF-8. GLib's UTF-8 validation functions are broken, for
example.

Just include libguess.h and link to libguess to get these functions in your
program. For your convenience, a pkg-config file is also supplied.
libguess employs discrete-finite automata to deduce the character set of the
input buffer. The advantage of this is that all character sets can be checked
in parallel, and quickly. Right now, libguess passes a byte to each DFA on the
same pass, meaning that the winning character set can be deduced as efficiently
as possible.
libguess is fully reentrant, using only local stack memory for DFA operations.


%package -n %{realname}-devel
Group:		Development/Libraries/C and C++
Summary:	Development package for %{realname}
Requires:	%{name} = %{version}
Requires:	libmowgli-devel pkg-config

%description -n %{realname}-devel
This package contains the files needed to compile programs that use the
%{realname} library.




%prep
%setup -q -n %{realname}-%{version}


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%__rm -f %{buildroot}/%{_libdir}/libcue.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/%{realname}.so.%{soname}*

%files -n %{realname}-devel
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/%{realname}.so
%dir %{_includedir}/%{realname}
%{_includedir}/%{realname}/%{realname}.h
%{_libdir}/pkgconfig/%{realname}.pc


%changelog
* Thu Dec 22 2011 detlef@links2linux.de
- new upstream version <1.1>
* Fri Aug 27 2010 detlef@links2linux.de
- initial build for PackMan <1.0>
